Bug 246132 - sysutils/zetaback: Resurrect deprecate state, fix PERL warning, add some options
Summary: sysutils/zetaback: Resurrect deprecate state, fix PERL warning, add some opt...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Cy Schubert
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-02 22:27 UTC by Armin Gruner
Modified: 2020-05-13 02:07 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (cy)


Attachments
patch against sysutils/zetaback port to resurrect it from DEPRECATED (7.07 KB, text/plain)
2020-05-02 22:27 UTC, Armin Gruner
no flags Details
Combined patch - 1, Unbreak, 2. Options (6.75 KB, patch)
2020-05-02 23:42 UTC, Cy Schubert
no flags Details | Diff
Final version to be committed (6.73 KB, patch)
2020-05-03 00:56 UTC, Cy Schubert
no flags Details | Diff
zetaback-devel port (2.62 KB, application/octet-stream)
2020-05-03 01:47 UTC, Cy Schubert
no flags Details
fixes new introduced sysutils/zetaback-devel (1.06 KB, text/plain)
2020-05-03 09:46 UTC, Armin Gruner
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Armin Gruner 2020-05-02 22:27:26 UTC
Created attachment 214039 [details]
patch against sysutils/zetaback port to resurrect it from DEPRECATED

Hi,
I'm using zetaback extensively to backup our user server, and stumbled over the deprecation warning.

The upstream is maintained at github in the meantime.

I added some patches, to avoid PERL warnings, and to have some optimized operation (other compression program, no loop through SSH if localhost is backed up).

Attached patch is against the port directory!

Greetings,
Armin
Comment 1 Cy Schubert freebsd_committer 2020-05-02 22:50:45 UTC
Thanks but I'll continue to maintain it.
Comment 2 Cy Schubert freebsd_committer 2020-05-02 23:42:07 UTC
Created attachment 214042 [details]
Combined patch - 1, Unbreak, 2. Options

I added an xz option as well. xz is slower but is significantly more compressed than even bzip2.

Does this look good?
Comment 3 Cy Schubert freebsd_committer 2020-05-03 00:56:31 UTC
Created attachment 214043 [details]
Final version to be committed

Minor adjustments to distversion and GH_*.
Comment 4 Cy Schubert freebsd_committer 2020-05-03 01:47:14 UTC
Created attachment 214044 [details]
zetaback-devel port

This port corresponds to your patch using 78d1d082 instead of the tag 1.0.7.

I intend to commit this after in order to perform svn cp to preserve SVN history.
Comment 5 commit-hook freebsd_committer 2020-05-03 02:43:28 UTC
A commit references this bug:

Author: cy
Date: Sun May  3 02:43:21 UTC 2020
New revision: 533732
URL: https://svnweb.freebsd.org/changeset/ports/533732

Log:
  Unbreak, make fetchable again.

  PR:		246132
  Mostly by:	Armin Gruner <ag-freebsd@muc.de>
  MFH:		2020Q2

Changes:
  head/sysutils/zetaback/Makefile
  head/sysutils/zetaback/distinfo
Comment 6 commit-hook freebsd_committer 2020-05-03 02:52:29 UTC
A commit references this bug:

Author: cy
Date: Sun May  3 02:52:11 UTC 2020
New revision: 533737
URL: https://svnweb.freebsd.org/changeset/ports/533737

Log:
  Welcome the new zetaback-devel, tracking omniti-labs/zetaback master.

  What was submitted was actually a combination of what was committed to
  sysutils/zetaback and what is committed here.

  PR:		246132
  Mostly by:	Armin Gruner <ag-freebsd@muc.de>

Changes:
  head/sysutils/Makefile
  head/sysutils/zetaback-devel/
  head/sysutils/zetaback-devel/Makefile
  head/sysutils/zetaback-devel/distinfo
Comment 7 Cy Schubert freebsd_committer 2020-05-03 02:54:27 UTC
Should have been four commits instead of three. Thanks for the patch.
Comment 8 Armin Gruner 2020-05-03 09:46:36 UTC
Created attachment 214049 [details]
fixes new introduced sysutils/zetaback-devel

Hi,
didn't intend to jump into maintainership, I thought you busy as it was marked deprecated ;-)


Anyway, I tried your new patch, but it introduces the PERL script not compiling, and I corrected a typo in the KNOB description as well.

Attach patch is against sysutils/zetaback-devel!

Greetings,
Armin
Comment 9 Cy Schubert freebsd_committer 2020-05-03 13:28:33 UTC
Sorry about that. The fixes are in my git repo. They'll be pushed to svn soon.
Comment 10 commit-hook freebsd_committer 2020-05-03 13:29:34 UTC
A commit references this bug:

Author: cy
Date: Sun May  3 13:28:42 UTC 2020
New revision: 533780
URL: https://svnweb.freebsd.org/changeset/ports/533780

Log:
  Fix typos.

  PR:		246132
  Submitted by:	Armin Gruner <ailto:ag-freebsd@muc.de>
  MFH:		2020Q2

Changes:
  head/sysutils/zetaback/Makefile
  head/sysutils/zetaback/files/opt-compression.in
Comment 11 commit-hook freebsd_committer 2020-05-03 13:29:35 UTC
A commit references this bug:

Author: cy
Date: Sun May  3 13:28:53 UTC 2020
New revision: 533781
URL: https://svnweb.freebsd.org/changeset/ports/533781

Log:
  Fix typos.

  PR:		246132
  Submitted by:	Armin Gruner <ailto:ag-freebsd@muc.de>

Changes:
  head/sysutils/zetaback-devel/Makefile
  head/sysutils/zetaback-devel/files/opt-compression.in
Comment 12 commit-hook freebsd_committer 2020-05-03 13:57:38 UTC
A commit references this bug:

Author: cy
Date: Sun May  3 13:57:30 UTC 2020
New revision: 533784
URL: https://svnweb.freebsd.org/changeset/ports/533784

Log:
  MFH: r533732 r533736 r533780

  Unbreak, make fetchable again.

  PR:		246132
  Mostly by:	Armin Gruner <ag-freebsd@muc.de>

  Add compression program and output to localhost options

  PR		246132
  Mostly by:	Armin Gruner <ag-freebsd@muc.de>

  Fix typos.

  PR:		246132
  Submitted by:	Armin Gruner <ailto:ag-freebsd@muc.de>

  Approved by:	portmgr (joneum)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/sysutils/zetaback/Makefile
  branches/2020Q2/sysutils/zetaback/distinfo
  branches/2020Q2/sysutils/zetaback/files/
  branches/2020Q2/sysutils/zetaback/files/opt-compression.in
Comment 13 commit-hook freebsd_committer 2020-05-03 13:57:39 UTC
A commit references this bug:

Author: cy
Date: Sun May  3 13:57:30 UTC 2020
New revision: 533784
URL: https://svnweb.freebsd.org/changeset/ports/533784

Log:
  MFH: r533732 r533736 r533780

  Unbreak, make fetchable again.

  PR:		246132
  Mostly by:	Armin Gruner <ag-freebsd@muc.de>

  Add compression program and output to localhost options

  PR		246132
  Mostly by:	Armin Gruner <ag-freebsd@muc.de>

  Fix typos.

  PR:		246132
  Submitted by:	Armin Gruner <ailto:ag-freebsd@muc.de>

  Approved by:	portmgr (joneum)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/sysutils/zetaback/Makefile
  branches/2020Q2/sysutils/zetaback/distinfo
  branches/2020Q2/sysutils/zetaback/files/
  branches/2020Q2/sysutils/zetaback/files/opt-compression.in